<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <entity name="App\Infrastructure\Flipping\Analysis\Query\Doctrine\Model\Analysis" table="flipping__analysis">

        <embedded
                name="closingCost"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                columnPrefix="closing_cost_"
        />
        <embedded
                name="rehabCost"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                columnPrefix="rehab_cost_"
        />
        <embedded
                name="holdingCost"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                columnPrefix="holding_cost"
        />
        <embedded
                name="sellingCost"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                columnPrefix="selling_cost"
        />
        <embedded
                name="cashNeeded"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                columnPrefix="cash_needed_"
        />
        <embedded
                name="profit"
                class="App\Domain\SharedKernel\Generic\ValueObject\Money\Money"
                columnPrefix="profit_"
        />

        <id
                name="id"
                type="flipping_analysis_id"
        />
        <field
                name="propertyId"
                type="property_management_property_id"
        />
        <field
                name="returnOnInvestment"
                type="float"
                nullable="true"
        />
        <field
                name="annualizedReturnOnInvestment"
                type="float"
                nullable="true"
        />
        <field
                name="updatedAt"
                type="datetime_immutable"
                nullable="true"
        />
        <field
                name="createdAt"
                type="datetime_immutable"
        />
    </entity>
</doctrine-mapping>